%global srcname PyJWT
%global libname jwt
%global pkgname %{libname}

%global common_description %{expand:
A Python implementation of JSON Web Token draft 01. This library provides a
means of representing signed content using JSON data structures, including
claims to be transferred between two parties encoded as digitally signed and
encrypted JSON objects.}


Summary:        JSON Web Token implementation in Python
Name:           python-%{pkgname}
Version:        2.6.0
Release:        2%{?dist}
License:        MIT
URL:            https://github.com/jpadilla/pyjwt
Source0:        %pypi_source
BuildArch:      noarch


%description %{common_description}


%package -n python3-%{pkgname}
Summary:        %{summary}
BuildRequires:  python3-devel
Recommends:     python3-%{pkgname}+crypto


%description -n python3-%{pkgname} %{common_description}


%package -n python3-%{pkgname}+crypto
Summary: Subpackage for python3-%{pkgname} with extra crypto dependencies
Requires: python3-%{pkgname}

%description -n python3-%{pkgname}+crypto
This is the subpackage for python3-%{pkgname} with extra crypto dependencies.

%files -n python3-%{pkgname}+crypto -f %{_pyproject_ghost_distinfo}



%prep
%autosetup -n %{srcname}-%{version}
sed -e '/coverage/d' \
    -e '/pytest/ s/,<7.0.0//' \
    -i setup.cfg


%generate_buildrequires
%pyproject_buildrequires -x crypto,tests


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{libname}


%check
%pytest -k 'not test_ec_to_jwk_with_invalid_curve'


%files -n python3-%{pkgname} -f %{pyproject_files}
%doc README.rst


%changelog
* Wed Jul 31 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6.0-2
- initial build
